/*
 *  Programming interface for wl_api.
 *  Copyright (C) 2010 HD Wireless AB
 *
 *  You should have received a copy of the license along with this library.
 */

#ifdef HDG200
# ifdef        MODE_STA
#  include "wl_fw_hdg200.h"
# elif defined MODE_AP
#  error "AP mode not supported with HDG200"
# elif defined MODE_LEGACY
#  include "MODE_LEGACY not supported with HDG200, use MODE_STA instead."
# else
#  error "Invalid mode, MODE_STA or MODE_AP should be defined"
# endif
#elif defined HDG104 || defined HDG204 /* HDG104 and HDG204 are compatible */
# ifdef        MODE_STA
#  include "wl_fw_hdg104.h"
# elif defined MODE_AP
#  include "wl_fw_hdg104_ap.h"
# elif defined MODE_LEGACY
#  include "wl_fw_hdg104_legacy.h"
# else
#  error "Invalid mode, MODE_STA or MODE_AP should be defined"
# endif
#else
# error "Unknown module type"
#endif
